<app-menu></app-menu>

<div class="container mat-elevation-z8">
        <div class="row">
        <mat-toolbar color="primary">
                <span>CRUD Autor</span>
        </mat-toolbar>
        </div>

        <div class="row" style="margin-top: 3%">
        <mat-form-field class="col-md-4">
                <mat-label>Nombre</mat-label>
                <input matInput [(ngModel)]="filtro">
        </mat-form-field>

        <!-- BOTONOES FILTRAR Y REGISTRAR  -->
        <button mat-raised-button color="primary" type="button" (click)="consultaAutor()"
                class="btn btn-primary btn-sm" id="id_btn_filtrar" style="width: 150px">Filtrar</button>
        <button mat-raised-button color="primary" type="button" (click)="openAddDialog()"
                class='btn btn-primary btn-sm' style="width: 150px">Registrar</button>

        </div>

        <div class="row" style="margin-top: 3%">
        <!-- PASO 2 CREAR UNA TABLA Y CREAR LAS CABECERAS  -->
        <mat-table #table class="mat-cell" [dataSource]="dataSource">
                <ng-container matColumnDef="idAutor">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>Id</mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.idAutor}}</mat-cell>
                </ng-container>

                <ng-container matColumnDef="nombres">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>Nombres</mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.nombres}}</mat-cell>
                </ng-container>

                <ng-container matColumnDef="apellidos">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>Apellidos</mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.apellidos}}</mat-cell>
                </ng-container>

                <ng-container matColumnDef="fechaNacimiento">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>Fecha de Nacimiento</mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.fechaNacimiento | date:"dd/MM/yyyy"}}</mat-cell>
                </ng-container>

                <ng-container matColumnDef="telefono">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>Teléfono</mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.telefono}}</mat-cell>
                </ng-container>

                <ng-container matColumnDef="fechaRegistro">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>Fecha de Registro </mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.fechaRegistro | date:"dd/MM/yyyy"}}</mat-cell>
                </ng-container>

                <ng-container matColumnDef="pais">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>País</mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.pais!.nombre }} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="grado">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>Grado</mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.grado!.descripcion}} </mat-cell>
                </ng-container>

                <ng-container matColumnDef="estado">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>Estado</mat-header-cell>
                        <mat-cell *matCellDef="let aux">{{ aux.estado == 1 ? "Activo" : "Inactivo" }}</mat-cell>
                </ng-container>

                <!--PARA LAS ACCIONES Edit - elim - estado -->
                <ng-container matColumnDef="acciones">
                        <mat-header-cell mat-header-cell *matHeaderCellDef>&nbsp;</mat-header-cell>
                        
                        <mat-cell *matCellDef="let aux; let i=index;">

                                <!--PARA CAMBIAR DE ESTADO -->
                                <div class="custom-control custom-switch">
                                        <input type="checkbox" class="custom-control-input"
                                                id="idEstado_{{ aux.idAutor }}" name="estado"
                                                [checked]="aux.estado==1?true:false"
                                                (change)="actualizaEstado(aux)" />
                                        <label class="custom-control-label"
                                                for="idEstado_{{ aux.idAutor }}"></label>
                                </div>
                                <!--FIN DE CAMBIAR DE ESTADO -->

                                <button mat-icon-button color="accent" (click)="openUpdateDialog(aux)">
                                        <mat-icon aria-label="Edit">edit</mat-icon>
                                </button>

                                <!--PARA ELIMINAR -->
                                <button mat-icon-button color="accent" (click)="eliminaPC2(aux)">
                                        <mat-icon aria-label="Delete">delete</mat-icon>
                                </button>
                                <!--FIN DEL ELIMINAR -->
                        </mat-cell>

                </ng-container>
                <!--FIN DE LAS ACCIONES Edit elim estado-->

                <!-- PASO 1 CREAR UNA TABLA Y CREAR LAS CABECERAS el displayedColumns se encuentra en el ts-->
                <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                <mat-row *matRowDef="let aux; columns: displayedColumns"></mat-row>

        </mat-table>
        <!-- FIN DE LA TABLA -->

        <!-- PARA LA PAGINACION -->
        <mat-paginator [pageSizeOptions]="[6,8,10]" showFirstLastButtons></mat-paginator>

        </div>

</div>